<template>
  <div id="detailNews">
    <template
      v-for="content in pageContent"
      :key="content.index"
    >
      <div v-if="content.type === 'detail_news'">
        <h1 v-html="content.name"></h1>
        <div
          class="date-news"
          v-html="content.publication_data"
        ></div>
        <div class="datail-news-content">
          <div class="datail-news-images">
            <slider-images
              :images="content.gallery"
              @openPopupGallery="openPopupGallery"
            />
          </div>
          <div
            class="datail-news-description"
            v-html="content.text"
          ></div>
        </div>
        <popup-gallery
          v-if="isOpenPopup"
          v-model:open.sync="isOpenPopup"
          :images="content.gallery"
          :index-img-start="currentImgIndex"
        />
      </div>
      <div
        class="datail-news-other"
        v-if="content.type === 'other_news'"
      >
        <h1 v-html="content.title"></h1>
        <div class="news-wrapper">
          <div
            v-for="news in content.items"
            :key="news.id"
            class="news-block"
          >
            <NewsItem
              :img="news.previewImage"
              :link="news.code"
              :text="news.text"
              :title="news.name"
              :date="news.publication_data"
              :btn="content.link_text_detail_page"
            />
          </div>
        </div>
      </div>
      <div class="news-main-mob" v-if="content.type === 'other_news'">
          <h1 v-html="content.title"></h1>
          <NewsMainMob :id-slider="newsMainMob" :pagination="true">
            <template #slide>
              <div
                v-for="(item, index) in content.items"
                :key="index"
                class="news-main-block splide__slide"
              >
                <NewsItem
                  :img="item.previewImage"
                  :link="item.code"
                  :text="item.text"
                  :title="item.name"
                  :date="item.publication_data"
                  :btn="content.link_text_detail_page"
                />
              </div>
            </template>
          </NewsMainMob>
        </div>
    </template>
  </div>
</template>

<script>
import { HTTP, Routes } from '../api/API';
import {noScroll} from '../main'


import NewsItem from '../components/NewsItem.vue';
import PopupGallery from '../components/Popup.vue';
import SliderImages from '../components/SliderImages.vue';
import NewsMainMob from '../components/NewsMainMob.vue';



export default {
  components: { SliderImages, NewsItem, PopupGallery, NewsMainMob },
  data() {
    return {
      isOpenPopup: false,
      currentImgIndex: 0,
      newsitemUrl: this.$route.params.news_id,
      pageContent: [],
    };
  },
  methods: {
    openPopupGallery(index) {
      this.currentImgIndex = index;
      this.isOpenPopup = !this.isOpenPopup;
      noScroll(this.isOpenPopup)
    },
    getContent() {
      HTTP.get(`${Routes.newsItem}news_code=${this.newsitemUrl}`)
        .then(response => {
          // console.log('response.data.detail: ', response.data.data.content);
          this.pageContent = response.data.data.content;
        })
        .catch(error => {
          console.log(error);
        });
    },
  },
  created() {
    const path = this.$route.params.news_id.split('/');
    this.newsitemUrl = path[0];
  },
  mounted() {
    this.getContent();
  },
};
</script>

<style></style>
